package com.mmc.iuav.user.auth;

import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @author 作者 geDuo
 * @version 创建时间：2021年8月31日 下午4:39:06
 * @explain 密码加密
 */
public class PwdUtil {
	/**
	 * @param passWord
	 * @return {@link String}
	 * @throws NoSuchAlgorithmException
	 */
	public static String securityPwd(String passWord) throws NoSuchAlgorithmException {
		MessageDigest md = MessageDigest.getInstance("SHA");
		md.update(passWord.getBytes());
		return new BigInteger(md.digest()).toString(32);
	}
}
